MPD: ExpatParser Class Reference

MPD 0.20.15

Public Member Functions | Static Public Member Functions
ExpatParser Class Referencefinal

`#include <ExpatParser.hxx>`

## Public Member Functions
| ExpatParser (void *userData)
| ExpatParser (ExpatNamespaceSeparator ns, void *userData)
| ~ExpatParser ()
| ExpatParser (const ExpatParser &)=delete
ExpatParser & | operator= (const ExpatParser &)=delete
void | SetElementHandler (XML_StartElementHandler start, XML_EndElementHandler end) noexcept
void | SetCharacterDataHandler (XML_CharacterDataHandler charhndl) noexcept
void | Parse (const char *data, size_t length, bool is_final)
void | Parse (InputStream &is)

## Static Public Member Functions
static gcc_pure const char * | GetAttribute (const XML_Char **atts, const char *name) noexcept
static gcc_pure const char * | GetAttributeCase (const XML_Char **atts, const char *name) noexcept

## Detailed Description

Definition at line 45 of file ExpatParser.hxx.

## Constructor & Destructor Documentation

## ◆ ExpatParser() [1/3]

ExpatParser::ExpatParser | ( | void * | userData | ) |
| inlineexplicit

Definition at line 49 of file ExpatParser.hxx.

## ◆ ExpatParser() [2/3]

ExpatParser::ExpatParser | ( | ExpatNamespaceSeparator | ns,
|  | void * | userData
| ) |  |
| inline

Definition at line 54 of file ExpatParser.hxx.

## ◆ ~ExpatParser()

ExpatParser::~ExpatParser | ( |  | ) |
| inline

Definition at line 59 of file ExpatParser.hxx.

## ◆ ExpatParser() [3/3]

ExpatParser::ExpatParser | ( | const ExpatParser & |  | ) |
| delete

## Member Function Documentation

## ◆ GetAttribute()

static gcc_pure const char* ExpatParser::GetAttribute | ( | const XML_Char ** | atts,
|  | const char * | name
| ) |  |
| staticnoexcept

## ◆ GetAttributeCase()

static gcc_pure const char* ExpatParser::GetAttributeCase | ( | const XML_Char ** | atts,
|  | const char * | name
| ) |  |
| staticnoexcept

## ◆ operator=()

ExpatParser& ExpatParser::operator= | ( | const ExpatParser & |  | ) |
| delete

## ◆ Parse() [1/2]

void ExpatParser::Parse | ( | const char * | data,
|  | size_t | length,
|  | bool | is_final
| ) |  |

## ◆ Parse() [2/2]

void ExpatParser::Parse | ( | InputStream & | is | ) |

## ◆ SetCharacterDataHandler()

void ExpatParser::SetCharacterDataHandler | ( | XML_CharacterDataHandler | charhndl | ) |
| inlinenoexcept

Definition at line 71 of file ExpatParser.hxx.

## ◆ SetElementHandler()

void ExpatParser::SetElementHandler | ( | XML_StartElementHandler | start,
|  | XML_EndElementHandler | end
| ) |  |
| inlinenoexcept

Definition at line 66 of file ExpatParser.hxx.

The documentation for this class was generated from the following file:

- lib/expat/ExpatParser.hxx